package de.steev.bm.Listener;

import de.steev.bm.Manager.GameManager;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerAnimationEvent;

public class AnimationListener implements Listener {

    private GameManager gameManager;

    public AnimationListener(GameManager gameManager) {
        this.gameManager = gameManager;
    }

    @EventHandler
    public void OnPlayerAnimation(PlayerAnimationEvent event) {
        Player player = event.getPlayer();
        EntityPlayer nmsPlayer = ((CraftPlayer) player).getHandle();
        PlayerConnection connection = nmsPlayer.playerConnection;

        // Sende ein ArmAnimation-Paket, um den Cooldown zu umgehen
        connection.a(new PacketPlayInArmAnimation());
    }
}
